
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Android 蓝牙API之BluetoothAdapter类使用 / iVAN</title>

    <meta name="description" content="Android 蓝牙API之BluetoothAdapter类使用      使用BluetoothAdapter类,你能够在Android设备上查找周边的蓝牙设备然后配对(绑定),蓝牙通讯是基于唯一地址MAC来相互 传输的,考虑到安全问题Bluetooth通讯时需要先配对.然后开始相互连接,连接后设备将会共享同一个RFCOMM通道以便相互传输数据,目前这些实 现在Android 2.0或更高版本SDK上实现.        一.查找发现 findding/discovering devices        对于Android查找发现蓝牙设备使用Bluetoo">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Android 蓝牙API之BluetoothAdapter类使用</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>     使用BluetoothAdapter类，你能够在Android设备上查找周边的蓝牙设备然后配对(绑定)，蓝牙通讯是基于唯一地址MAC来相互 传输的，考虑到安全问题Bluetooth通讯时需要先配对。然后开始相互连接，连接后设备将会共享同一个RFCOMM通道以便相互传输数据，目前这些实 现在Android 2.0或更高版本SDK上实现。</p>
<p>      <strong> 一、查找发现 findding/discovering devices</p>
<p></strong>       对于Android查找发现蓝牙设备使用BluetoothAdapter类的startDiscovery()方法就可以执行一个异步方式获取周边的蓝牙设备，因为是一个异步的方法所以我们不需要考虑线程被阻塞问题，整个过程大约需要12秒时间，这时我们紧接着注册一个 BroadcastReceiver 对象来接收查找到的蓝牙设备信息，我们过滤ACTION_FOUND这个 Intent动作来获取每个远程设备的详细信息，通过附加参数在Intent字段EXTRA_DEVICE 和 EXTRA_CLASS,<br />
 中包含了每个BluetoothDevice 对象和对象的该设备类型 BluetoothClass ，示例代码</p>
<p><strong>Java代码：</strong></p>
<ol>
<li>private final BroadcastReceiver cwjReceiver = new BroadcastReceiver() {</li>
<li>public void onReceive(Context context, Intent intent) {</li>
<li>String action = intent.getAction();</li>
<li>if (BluetoothDevice.ACTION_FOUND.equals(action)) {</li>
<li>BluetoothDevice device = intent.getParcelableExtra(BluetoothDevice.EXTRA_DEVICE);</li>
<li>myArrayAdapter.add(device.getName() + " android123 " + device.getAddress()); //获取设备名称和mac地址</li>
<li>}</li>
<li>}</li>
<li>};</li>
<li>// 注册这个 BroadcastReceiver</li>
<li>IntentFilter filter = new IntentFilter(BluetoothDevice.ACTION_FOUND);</li>
<li>registerReceiver(cwjReceiver, filter);</li>
</ol>
<p><em>复制代码</em></p>
<p>       记住在Service或Activity中重写onDestory()方法，使用unregisterReceiver方法反注册这个BroadcastReceiver对象保证资源被正确回收。</p>
<p>       <strong>一、些其他的状态变化有</strong> <br />
       ACTION_SCAN_MODE_CHANGED 额外参数 EXTRA_SCAN_MODE 和 EXTRA_PREVIOUS_SCAN_MODE以及SCAN_MODE_CONNECTABLE_DISCOVERABLE、 SCAN_MODE_CONNECTABLE和SCAN_MODE_NONE,</p>
<p>       <strong>二、配对绑定 bnded/paired device</strong><br />
       在Android中配对一个蓝牙设备可以调用BluetoothAdapter类的getBondedDevices()方法可以获取已经配对的设备，该方法将会返回一个BluetoothDevice数组来区分每个已经配对的设备，示例代码如下:</p>
<p><strong>Java代码：</strong></p>
<ol>
<li>Set&lt;BluetoothDevice&gt; pairedDevices = cwjBluetoothAdapter.getBondedDevices();</li>
<li>if (pairedDevices.size() &gt; 0) //如果获取的结果大于0，则开始逐个解析</li>
<li>{</li>
<li>for (BluetoothDevice device : pairedDevices) {</li>
<li>myArrayAdapter.add(device.getName() + " eoeandroid " + device.getAddress());</li>
<li>//获取每个设备的名称和MAC地址添加到数组适配器myArrayAdapter中。</li>
<li>}</li>
<li>}</li>
</ol>
<p><em>复制代码</em></p>
<p>       <strong>三、允许发现 enabling discoverability</strong><br />
       如果需要用户确认操作，不需要获取底层蓝牙服务实例，可以通过一个Intent来传递ACTION_REQUEST_DISCOVERABLE参 数，这里通过startActivityForResult来强制获取一个结果，重写startActivityForResult() 方 法获取执行结果，返回结果有RESULT_OK和RESULT_CANCELLED分别代表开启和取消(失败)，当然最简单的方法是直接执行，示例代码如下</p>
<p><strong>Java代码：</strong></p>
<ol>
<li>Intent cwjIntent = new Intent(BluetoothAdapter.ACTION_REQUEST_DISCOVERABLE);</li>
<li>cwjIntent.putExtra(BluetoothAdapter.EXTRA_DISCOVERABLE_DURATION, 300);</li>
<li>startActivity(cwjIntent);</li>
</ol>
<p><em>复制代码</em></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 14:13:03</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Android 蓝牙API之BluetoothAdapter类使用的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQBmxoM.html" rel="bookmark">Android 中文API （69） &mdash;&mdash; BluetoothAdapter&lbrack;蓝牙&rsqb;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 本章内容是 android.bluetooth.BluetoothAdapter,为Android蓝牙部分的章节翻译.本地蓝牙设备的适配类,所有的蓝牙操作都要通过该类完成.版本为 Android 2.3 r1,翻译来自中山大学的&quot;Android Club SYSU&quot;,欢迎访问他们的WIKI:http://www.android-wiki.net,再次感谢&quot;Android Club SYSU&quot;!期待你一起参与Android中文API的翻译,联系我 over140			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwWX1Oz.html" rel="bookmark">android 中文 api （72） &mdash;&mdash; BluetoothSocket&lbrack;蓝牙&rsqb;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 本章内容是 android.bluetooth.BluetoothSocket,为Android蓝牙部分的章节翻译.蓝牙通讯套接字,代表了与远端设备的连接点,使用socket本地程序可以通过inputstream和outputstream与远端程序进行通讯.版本为 Android 2.3 r1,翻译来自中山大学的&quot;Android Club SYSU&quot;,欢迎访问他们的WIKI:http://www.android-wiki.net,再次感谢&quot;Android Club SY			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MA7QwAz.html" rel="bookmark">android 中文 api （71） &mdash;&mdash; BluetoothServerSocket&lbrack;蓝牙&rsqb;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 本章内容是 android.bluetooth.BluetoothServerSocket,为Android蓝牙部分的章节翻译.服务器通讯套接字,与TCP ServerSocket类似.版本为 Android 2.3 r1,翻译来自中山大学的&quot;Android Club SYSU&quot;,欢迎访问他们的WIKI:http://www.android-wiki.net,再次感谢&quot;Android Club SYSU&quot;!期待你一起参与Android API 的中文翻译,联系			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bE4Aq6z.html" rel="bookmark">Android 中文API （70） &mdash;&mdash; BluetoothDevice&lbrack;蓝牙&rsqb;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 本章内容是 android.bluetooth.BluetoothDevice,为Android蓝牙部分的章节翻译.蓝牙设备类,代表了蓝牙通讯国足中的远端设备.版本为 Android 2.3 r1,翻译来自中山大学的&quot;Android Club SYSU&quot;,欢迎访问他们的WIKI:http://www.android-wiki.net,再次感谢&quot;Android Club SYSU&quot;!期待你一起参与Android中文API的翻译,联系我 over140@gmail			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bo7NBjb.html" rel="bookmark">Android蓝牙聊天程序的扩展开发（基于Google Sample，类QQ设计）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				由于最近实习的公司要求一定的Android 蓝牙技术支持,故花了一天的时间钻研Google 的蓝牙聊天APP源码,然后又花了一下午对该Sample的UI进行了进一步,写成这个博文提供给大家学习,源码后面有下载链接,不要分O(∩_∩)O~ 首先看看程序的效果: 在整个开发过程中涉及的几个关键步骤 1)判断蓝牙设备是否可用  2)若蓝牙设备可用,判断是否开启        是:则不操作         否:开启蓝牙设备 3)让设备可见(在一定的时间范围内)  4)查看已经连接过的设备  5)扫描附近			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOldk5b.html" rel="bookmark">android百度地图api 的一些类我用不了。可是官方api中明明有给出。</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 android百度地图api 的一些类我用不了.可是官方api中明明有给出. 还有关于overlaymanager的类 我都用不了.可是官网api明明给出了这个类的啊.我下载了最全的sdk. 希望有人帮我下 感激不尽.文档&quot;&gt; //官方api的部分截图 解决方案 Android 百度地图API 定位 导航Android 百度地图API 定位 导航 代码 解决方案二: 有这个jar包吗..... 解决方案三: 所用百度地图API为3.6版,而BMapManager在3之后就弃用了,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mx0N8PM.html" rel="bookmark">Android 蓝牙开发实例--蓝牙聊天程序的设计和实现</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Android 蓝牙开发实例--蓝牙聊天程序的设计和实现 转自:http://blog.csdn.net/dlutbrucezhang/article/details/8963696 作者在这里介绍的这个实例是Google SDK中提供的一个蓝牙聊天程序,简单但信息量巨大,非常适合初学者学习蓝牙方面的知识. 在学习这个实例前请读者仔细阅读并理解Socket的工作原理和实现机制,作者的这篇博客中有详细的介绍: http://blog.csdn.net/dlutbrucezhang/article/			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOwKxQz.html" rel="bookmark">Android蓝牙通信概述</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				通常情况下,我们对蓝牙的操作主要有:开启和关闭蓝牙.搜索周边设备.能被周边设备所发现.获取配对设备.蓝牙设备间的数据传输. 1.打开蓝牙(当然首先要确保你的手机是有蓝牙设备的) 蓝牙设备主要分为两部分,一部分为本地设备,另一部分为远程设备. BluetoothAdapter--本地设备,对蓝牙操作首先就需要有一个BluetoothAdapter实例.常用的几个方法如下: cancelDiscovery()--取消本地蓝牙设备的搜索操作,如果本地设备正在进行搜索,那么调用该方法后将停止搜索操作.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYRPwlp.html" rel="bookmark">Android蓝牙开发深入解析&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1. 使用蓝牙的响应权限 复制代码 代码如下: &lt;uses-permission android:name=&quot;android.permission.BLUETOOTH&quot; /&gt;&lt;uses-permission android:name=&quot;android.permission.BLUETOOTH_ADMIN&quot; /&gt; 2. 配置本机蓝牙模块 在这里首先要了解对蓝牙操作一个核心类BluetoothAdapter 复制代码 代码如下: Bluetoot			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1MvgVp0.html" rel="bookmark" class="title">Ubuntu安装</a>
					<div>
						一.准备工作(俩软件+一镜像+一U盘) 1:一个格式化了的U盘(啥重要提前备份不用说了吧),原则上大于1G就可以,但推荐大于4G的. 2:下载Ubuntu镜像,我下的是ubuntu-13.04-des ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b22rvb.html" rel="bookmark" class="title">命令提示符提问我&amp;amp&semi;amp&semi;lt&semi;yes&sol;no&sol;all&amp;amp&semi;amp&semi;gt&semi;时，我想all no，该怎么写</a>
					<div>
						问题描述 命令提示符提问我&lt;yes/no/all&gt;时,我想all no,该怎么写 命令提示符提问我时,我想all no,该怎么写					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMg9Wmz.html" rel="bookmark" class="title">PHP下简单的AES加解密算法使用及例子（256位）</a>
					<div>
						  &lt;?php class aes {       // CRYPTO_CIPHER_BLOCK_SIZE 32   private $_secret_key = 'default_secret ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qbaJDnM.html" rel="bookmark" class="title">度娘时代：屌丝站长如何逆袭</a>
					<div>
						我先来简单的介绍一下自己吧,我大学专业是电子商务(坑爹的专业),2011年我在一所学校做建站工作,做了半年对于建站方面已经是游刃有余了吧,感觉自 己天天重复一样的工作,没有一点意义,当时的主管是SEO ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zOQj5M.html" rel="bookmark" class="title">ASP&plus;全新接触（1） &lbrace;转&rcub;</a>
					<div>
						ASP+是ASP的下一代版本,然而ASP+又并非从ASP3.0自然演化而来,在许多方面,ASP+与ASP有着本质的不同.ASP+完全基于模块与组件,具有更好的可扩展性与可定制性,数据处理方面更是引入了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/apX1vlz.html" rel="bookmark" class="title">PHP控制语句</a>
					<div>
						PHP控制语句 1.IF语句  IF语句是多数语言中的一个重要特点,它根据条件执行程序段.PHP的IF语句类似于 C:  if (expr) statement 正如在表达式中所论述, expr 被计 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1Mv1R8b.html" rel="bookmark" class="title">关于动态生成控件和动态获得控件的句柄值</a>
					<div>
						动态|控件 从问题者的发的贴子:help me里面需要动态获得控件的句柄值,这些日子在vs.net里试了一下,总结出一点点经验,如下:1.动态生成控件:不管是在asp.net里还是在windows a ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/wzVKX4b.html" rel="bookmark" class="title">使用SemanticAnalyzerHook过滤不加分区条件的Hive查询</a>
					<div>
						我们Hadoop集群中将近百分之80的作业是通过Hive来提交的,由于Hive写起来简单便捷,而且我们又提供了Hive Web Client,所以使用范围很广,包括ba,pm,po,sales都在使用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqBWap.html" rel="bookmark" class="title">在Dreamweaver中输入平方、立方等幂格式的方法</a>
					<div>
						用Dreamweaver制作网页时,有时需要输入一些数学方面幂格式的东西,比如这个等式:y=2X3.在这个等式中X右上角的那个数字,在排版时的称呼应该叫&quot;上标&quot;:反之,如果这个数字 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVnPZkz.html" rel="bookmark" class="title">JS或jQuery获取ASP&period;NET服务器控件ID的方法</a>
					<div>
						  这篇文章主要介绍了JS或jQuery获取ASP.NET服务器控件ID的方法,本文介绍一方法,解决如何使用js获取ASP.NET控件在浏览器端生成html标签对应的id,需要的朋友可以参考下 在AS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPlGwz.html" rel="bookmark" class="title">QQ浏览器更新至9&period;1 增加Win10 Edge内核模式</a>
					<div>
						  QQ浏览器 QQ浏览器9.1.3206.400更新内容: 1.新增独立小窗口功能; 2.新增网站铭牌,智能检测网站安全,一键查看认证信息; 3.新增应用扩展云同步(需登录且在QQ浏览器应用中心内安 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP81j1p.html" rel="bookmark" class="title">天易成上网行为管理软件安装指南</a>
					<div>
						1.运行安装程序TYCNetManage3.0.exe.(本教程适用于天易成网管软件3.0及以上版本) 2.点击下一步,阅读软件许可协议,点击&quot;我接受&quot; 3.选择需要安装的组件.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGVwap.html" rel="bookmark" class="title">&period;NET实现XML与DataTable互转的实例代码&lowbar;实用技巧</a>
					<div>
						复制代码 代码如下: private string ConvertDataTableToXML(DataTable xmlDS)     {         MemoryStream stream = ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0QOwmp.html" rel="bookmark" class="title">VMware下Windows Server 2012添加新磁盘</a>
					<div>
						系统管理员在VM下新装了一台Windows Server 2012服务器,我在上面安装了SQL Server 2014 Standard版数据库,安装之初,只分配了一个C盘,我想在这台服务器上添加了三 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKQalAp.html" rel="bookmark" class="title">Go语言与数据库开发：01-07</a>
					<div>
						在本节,我们来说一下并发. 并发程序指同时进行多个任务的程序,随着硬件的发展,并发程序变得越来越重要 Go语言中的并发程序可以用两种手段来实现.尽管Go对并发的支持是众多强力特性之一,但跟踪调试并发程 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE491qz.html" rel="bookmark" class="title">光伏补贴降温</a>
					<div>
						记得国家能源局新能源司副司长梁志鹏曾经公开表示,中国光伏产业面临的机遇,可能是全世界独一无二的产业机遇.我国既有完整的全球第一的制造产业,又有全球最大的光伏应用市场,全世界能把这两点结合在一起的,就只 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M94rqob.html" rel="bookmark" class="title">试毒银针pd&period;id：妹子泡吧不再担心迷药失身</a>
					<div>
						泡吧的妹子担心迷药失身么?不如试试现代版&quot;试毒银针&quot; pd.id吧 酒吧是青年人社交的主要场所之一,不过鱼龙混杂,不少妹子每次去酒吧都各种不放心,妹子的爸爸妈妈更是各种揪心.除了蓝 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgR6jBb.html" rel="bookmark" class="title">关于java中尝试改变对象的引用 ，这是老师出的一道题  麻烦大家了！</a>
					<div>
						问题描述 关于java中尝试改变对象的引用 ,这是老师出的一道题 麻烦大家了! 6.尝试改变对象的引用 change (Object j){ o=new Obj; } 不知道这是什么意思,请各位指教. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL79KZM.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;黑客&rdquo;也能上大学？网络安全学院来了</a>
					<div>
						黑暗的房间,闪动的屏幕,快速敲击的键盘,一大堆复杂的代码--这是好莱坞电影里看到超级黑客及反黑客高手,在电脑前斗法的场景,他们抢夺的正是网络安全系统的场景. 美国总统大选期间,系统被黑客入侵震惊全美: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgwPjAM.html" rel="bookmark" class="title">RHCSA 系列（二）&colon; 如何进行文件和目录管理</a>
					<div>
						在本篇中,我们将回顾一些系统管理员日常任务需要的技能. RHCSA: 运行文件以及进行文件夹管理 - 第二部分 创建.删除.复制和移动文件及目录 文件和目录管理是每一个系统管理员都应该掌握的必备技能. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyeyO5M.html" rel="bookmark" class="title">pid-PID和端口号是一一对应的吗？</a>
					<div>
						问题描述 PID和端口号是一一对应的吗? 如题,进程的PID和端口号是一一对应的吗?在网络间定位一个进程,除了IP地址.端口号,还需要什么呢? 解决方案 当然不是,一个进程可以监听很多端口,也可以用端 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLgXR0M.html" rel="bookmark" class="title">hibernate映射表，查询表时得到的主键值为null &excl;&excl;&excl;&quest;&quest;&quest;请gao人指教，谢谢！！！</a>
					<div>
						问题描述 hibernate 查询表时能够得到其他所有的字段值,唯有主键和外键的id值获取为空,一下午了还是没查出原因来,情gao ren帮忙,谢过!!!再谢!!!(myEclipse工程随附件了(把 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqWgPZz.html" rel="bookmark" class="title">谷歌、雅虎支持中文域名搜索 有助提升搜索引擎优化&lowbar;IT 业界</a>
					<div>
						而中文域名也随着这些层出不穷的消息火热升温,其迅猛发展可谓势不可挡.如今,谷歌.雅虎也已开始支持中文域名搜索.只要人们在搜索引擎中输入目标网站已注册的中文域名,便可较为精确的锁定所需站点.此举的实行, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYNdP6p.html" rel="bookmark" class="title">js 剪切板的用法&lpar;clipboardData&period;setData&rpar;与js match函数介绍&lowbar;javascript技巧</a>
					<div>
						经常看到这样一种效果:就是单击一个按钮,就将某个区域内的内容,复制到了剪切板中.其实这个功能实现起来也不难,核心就是用到了window子对象clipboardData的一个方法:setData()语法 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNvL44M.html" rel="bookmark" class="title">asp&period;net 图片验证码的HtmlHelper&lowbar;实用技巧</a>
					<div>
						一个图片验证码的HtmlHelper,原来的调用代码如下: 复制代码 代码如下: &lt;img id=&quot;validateCode&quot; mailto:src='@Url.Action ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdvXr4b.html" rel="bookmark" class="title">五大网络攻击方法深度剖析及应对法则</a>
					<div>
						数据泄露事件及其所导致的后果已成为老生常谈,并且这一威胁没有丝毫减缓的迹象.您如今所面临的威胁是由深谙技术之道的犯罪分子利用高级技术以精准的定位直击您可能不知道的自己网络所存在的漏洞. Intel S ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYdDdVb.html" rel="bookmark" class="title">日系iOS塔防游戏《武士防御战》上架</a>
					<div>
						每个周四都是iOS平台的节日,很多优秀的作品也都是这一天诞生的~今天小编为大家介绍的就是刚刚新鲜上架的&lt;武士防御战&gt;(サムライ ディフェンダー).&lt;武士防御战&gt;&lt;武士防御 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvWONWp.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;内容为王&rdquo;打造数字平台</a>
					<div>
						本报讯 综合新华社消息,销量下跌,广告收入减少,网络时代的传统媒体或多或少都遇到了这样的问题.在社交媒体等新兴媒体夹击下,这些传统媒体如何重新吸引受众的眼球?经历风雨的英美传统媒体产业在新时代所走的转 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baEoOQb.html" rel="bookmark" class="title">NSNumber</a>
					<div>
						#import &lt;Foundation/Foundation.h&gt; void number(){ NSNumber *numberint=[NSNumber numberWithInt:1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boOKygb.html" rel="bookmark" class="title">深入分析&colon;C&plus;&plus;模板究竟会使代码膨胀吗&lowbar;C 语言</a>
					<div>
						今天和同事说到C++模板会使代码膨胀, 可同事觉得不会.同事的依据是: 如果模板会使代码膨胀, 那么ATL和WTL里为什么还要大量使用模板? 同样功能 ,ATL和WTL编译出的可执行文件可比MFC编译 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
